# QuoteData class

Internal class describing how to build a message with a quote fallback body.

## Constructors

QuoteData (String body, int fallbackLength)
  const
QuoteData.fromBodies (String quoteBody, String body)
  Takes the body of the message we want to quote `quoteBody` and the content of the reply `body` and computes the fallback body and its length.
  factory

## Properties

body → String
  The new body with fallback data at the beginning
  final
fallbackLength → int
  The length of the fallback data
  final
hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited